package com.lz.modules.flow.req;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
/**
* <p>
* 菜单权限表
* </p>*发起考核考，核组人员对应关系表
* @author quyixiao
* @since 2020-10-16
*/


@Data
@ApiModel(value = "发起考核考，核组人员对应关系Req")
public class EvaluationStartStaffReq implements java.io.Serializable {
  
    @ApiModelProperty(value = "currPage", name = "当前页码")
    private int currPage = 1;
    @ApiModelProperty(value = "pageSize", name = "每页返回条数")
    private int pageSize = 10;
    @ApiModelProperty(value = "sort", name = "类型")
    private String sort;
    @ApiModelProperty(value = "order", name = "排序")
    private String order;
    //
    private Long id;
    //是否删除状态，1：删除，0：有效
    @ApiModelProperty(value = "是否删除状态，1：删除，0：有效", name = "isDelete")
    private Integer isDelete;
    //创建时间
    @ApiModelProperty(value = "创建时间", name = "gmtCreate")
    private Date gmtCreate;
    //最后修改时间
    @ApiModelProperty(value = "最后修改时间", name = "gmtModified")
    private Date gmtModified;
    //考核组id
    @ApiModelProperty(value = "考核组id", name = "evaluationId")
    private Long evaluationId;
    //发起id
    @ApiModelProperty(value = "发起id", name = "startId")
    private Long startId;
    //人员id
    @ApiModelProperty(value = "人员id", name = "staffId")
    private Long staffId;
    //0考核人员，1管理人员
    @ApiModelProperty(value = "0考核人员，1管理人员", name = "type")
    private Integer type;
    @ApiModelProperty(value = "员工所在的部门id", name = "departmentId")
    private String departmentId;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除状态，1：删除，0：有效 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除状态，1：删除，0：有效 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 最后修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 最后修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 考核组id 
     * @return
     */
    public Long getEvaluationId() {
        return evaluationId;
    }
    /**
     * 考核组id 
     * @param evaluationId
     */
    public void setEvaluationId(Long evaluationId) {
        this.evaluationId = evaluationId;
    }

    /**
     * 发起id 
     * @return
     */
    public Long getStartId() {
        return startId;
    }
    /**
     * 发起id 
     * @param startId
     */
    public void setStartId(Long startId) {
        this.startId = startId;
    }

    /**
     * 人员id 
     * @return
     */
    public Long getStaffId() {
        return staffId;
    }
    /**
     * 人员id 
     * @param staffId
     */
    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    /**
     * 0考核人员，1管理人员 
     * @return
     */
    public Integer getType() {
        return type;
    }
    /**
     * 0考核人员，1管理人员 
     * @param type
     */
    public void setType(Integer type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "EvaluationStartStaff{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",evaluationId=" + evaluationId +
                ",startId=" + startId +
                ",staffId=" + staffId +
                ",type=" + type +
                "}";
    }
}